If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent test_gesture_tracker.html | Test timed out | test_live_regions.html,test_pointer_relay.html | uncaught exception - Error: Only one top-level window could used with AccessFu at resource://gre/modules/accessibility/Utils.jsm:43

RESOLVED FIXED in Firefox 46

Status

()

Core
Disability Access APIs
RESOLVED FIXED
3 years ago
2 years ago

People

(Reporter: RyanVM, Assigned: yzen)

Tracking

({intermittent-failure})

Trunk
mozilla48
x86
Windows XP
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox46 fixed, firefox47 fixed, firefox48 fixed, firefox-esr4546+ fixed)

Details

Attachments

(1 attachment, 2 obsolete attachments)

(Reporter)

Description

3 years ago
https://treeherder.mozilla.org/ui/logviewer.html#?job_id=518711&repo=mozilla-central

builder 	Windows XP 32-bit mozilla-central pgo test mochitest-other
buildid 	20141022030202
builduid 	3660c59114264c4fb1821627e5ea365d
results 	warnings (1)
revision 	ae4d9b4ff2ee
slave 		t-xp32-ix-003
starttime 	Wed Oct 22 2014 08:17:19 GMT-0400 (Eastern Standard Time)

04:37:05 INFO - 251 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | undefined assertion name
04:37:05 INFO - 252 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | Received correct mozAccessFuGesture: {"type":"explore"}.
04:37:05 INFO - 253 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | undefined assertion name
04:37:05 INFO - 254 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | Received correct mozAccessFuGesture: {"type":"exploreend"}.
04:37:05 INFO - 255 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | undefined assertion name
04:37:05 INFO - 256 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | Received correct mozAccessFuGesture: {"type":"dwell"}.
04:37:05 INFO - 257 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | undefined assertion name
04:37:05 INFO - 258 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | Received correct mozAccessFuGesture: {"type":"explore"}.
04:37:05 INFO - 259 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | undefined assertion name
04:37:05 INFO - 260 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | Received correct mozAccessFuGesture: {"type":"explore"}.
04:37:05 INFO - 261 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | undefined assertion name
04:37:05 INFO - 262 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | Received correct mozAccessFuGesture: {"type":"exploreend"}.
04:37:05 INFO - 263 INFO Got swipeleft waiting for explore
04:37:05 INFO - 264 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | Test timed out. - expected PASS
04:37:06 INFO - 265 INFO TEST-OK | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_gesture_tracker.html | took 314097ms
04:37:06 INFO - 266 INFO TEST-START | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_landmarks.html
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 0
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance 1
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance
04:37:06 INFO - [AccessFu] INFO pref changed accessibility.accessfu.utterance
04:37:06 INFO - 267 INFO TEST-OK | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_landmarks.html | took 132ms
04:37:06 INFO - 268 INFO TEST-START | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_live_regions.html
04:37:06 INFO - 269 INFO must wait for load
04:37:06 INFO - 270 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/tests/mochitest/jsat/test_live_regions.html | uncaught exception - Error: Only one top-level window could used with AccessFu at resource://gre/modules/accessibility/Utils.jsm:43
Comment hidden (Treeherder Robot)

Comment 2

2 years ago
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
Comment hidden (Treeherder Robot)

Comment 6

2 years ago
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 5
* mozilla-central: 2
* b2g-inbound: 1

Platform breakdown:
* windows8-64: 5
* linux64: 3
* linux32: 3
* windowsxp: 2
* windows7-32: 2
* osx-10-6: 2

For more details, see:
http://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-09-28&endday=2015-10-04&tree=all

Comment 7

2 years ago
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 8
* mozilla-inbound: 6
* b2g-inbound: 3

Platform breakdown:
* linux64: 9
* linux32: 3
* windowsxp: 2
* windows7-32: 1
* osx-10-6: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-10-05&endday=2015-10-11&tree=all

Comment 8

2 years ago
29 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 11
* mozilla-inbound: 10
* mozilla-central: 4
* b2g-inbound: 3
* try: 1

Platform breakdown:
* linux64: 9
* linux32: 8
* windowsxp: 5
* osx-10-6: 4
* windows7-32: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-10-12&endday=2015-10-18&tree=all

Comment 9

2 years ago
48 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 26
* fx-team: 12
* try: 7
* b2g-inbound: 2
* mozilla-central: 1

Platform breakdown:
* windowsxp: 15
* linux32: 11
* linux64: 10
* osx-10-6: 8
* osx-10-10: 2
* windows8-64: 1
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-10-19&endday=2015-10-25&tree=all

Comment 10

2 years ago
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 6
* mozilla-aurora: 4

Platform breakdown:
* windowsxp: 4
* osx-10-6: 4
* linux64: 4
* linux32: 3
* windows7-32: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-10-30&endday=2015-10-30&tree=all

Comment 11

2 years ago
56 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 22
* fx-team: 17
* mozilla-central: 6
* mozilla-aurora: 6
* b2g-inbound: 4
* try: 1

Platform breakdown:
* linux32: 14
* linux64: 12
* windows7-32: 10
* osx-10-6: 9
* windowsxp: 6
* windows8-64: 2
* osx-10-10: 2
* android-4-3-armv7-api11: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-10-26&endday=2015-11-01&tree=all

Comment 12

2 years ago
44 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 25
* fx-team: 9
* b2g-inbound: 4
* mozilla-aurora: 3
* mozilla-central: 2
* try: 1

Platform breakdown:
* linux64: 20
* linux32: 10
* windows8-64: 7
* windows7-32: 3
* osx-10-6: 2
* windowsxp: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-11-02&endday=2015-11-08&tree=all

Comment 13

2 years ago
39 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 17
* fx-team: 9
* mozilla-aurora: 5
* mozilla-central: 4
* try: 2
* b2g-inbound: 2

Platform breakdown:
* linux64: 10
* linux32: 9
* windows8-64: 8
* windows7-32: 5
* windowsxp: 3
* osx-10-6: 2
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-11-09&endday=2015-11-15&tree=all

Comment 14

2 years ago
35 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 8
* mozilla-aurora: 7
* b2g-inbound: 5
* mozilla-central: 2

Platform breakdown:
* windowsxp: 9
* linux32: 7
* windows8-64: 6
* linux64: 5
* windows7-32: 4
* osx-10-10: 3
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-11-16&endday=2015-11-22&tree=all

Comment 15

2 years ago
35 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 10
* mozilla-inbound: 8
* mozilla-central: 8
* mozilla-aurora: 5
* try: 2
* b2g-inbound: 2

Platform breakdown:
* linux64: 14
* linux32: 9
* windows8-64: 5
* windowsxp: 3
* windows7-32: 2
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-11-23&endday=2015-11-29&tree=all

Comment 16

2 years ago
36 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* fx-team: 9
* try: 6
* mozilla-aurora: 4
* b2g-inbound: 4
* mozilla-central: 2

Platform breakdown:
* linux32: 16
* linux64: 11
* windows8-64: 4
* windows7-32: 3
* osx-10-6: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-11-30&endday=2015-12-06&tree=all

Comment 17

2 years ago
31 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 16
* mozilla-central: 6
* fx-team: 5
* mozilla-aurora: 2
* try: 1
* b2g-inbound: 1

Platform breakdown:
* linux32: 14
* windows8-64: 4
* linux64: 4
* osx-10-10: 3
* windowsxp: 2
* windows7-32: 2
* osx-10-6: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-12-07&endday=2015-12-13&tree=all

Comment 18

2 years ago
29 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 13
* try: 4
* b2g-inbound: 4
* mozilla-central: 3
* fx-team: 3
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 10
* linux32: 9
* osx-10-6: 3
* windowsxp: 2
* windows7-32: 2
* osx-10-10: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-12-14&endday=2015-12-20&tree=all

Comment 19

2 years ago
27 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 8
* mozilla-aurora: 6
* try: 2
* mozilla-central: 1
* b2g-inbound: 1

Platform breakdown:
* linux32: 12
* linux64: 6
* windows8-64: 4
* windows7-32: 2
* osx-10-6: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-12-21&endday=2015-12-27&tree=all

Comment 20

2 years ago
21 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 6
* mozilla-central: 2
* mozilla-beta: 2
* mozilla-aurora: 2
* b2g-inbound: 1

Platform breakdown:
* linux32: 9
* windows7-32: 4
* linux64: 3
* windows8-64: 2
* windowsxp: 1
* osx-10-6: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2015-12-28&endday=2016-01-03&tree=all

Comment 21

2 years ago
50 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 14
* fx-team: 12
* mozilla-aurora: 7
* mozilla-central: 6
* mozilla-beta: 4
* b2g-inbound: 4
* try: 3

Platform breakdown:
* linux32: 16
* linux64: 10
* windowsxp: 8
* windows8-64: 6
* osx-10-6: 6
* windows7-32: 3
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-01-04&endday=2016-01-10&tree=all

Comment 22

2 years ago
57 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 22
* fx-team: 11
* mozilla-central: 8
* mozilla-aurora: 7
* b2g-inbound: 6
* mozilla-beta: 3

Platform breakdown:
* windows8-64: 18
* linux32: 13
* linux64: 9
* windows7-32: 6
* osx-10-6: 5
* osx-10-10: 5
* windowsxp: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-01-11&endday=2016-01-17&tree=all

Comment 23

2 years ago
19 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 7
* try: 1
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 10
* windows8-64: 3
* osx-10-6: 3
* linux32: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-01-20&endday=2016-01-20&tree=all

Comment 24

2 years ago
22 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 10
* fx-team: 5
* mozilla-central: 4
* mozilla-aurora: 2
* try: 1

Platform breakdown:
* linux64: 11
* windows8-64: 4
* windows7-32: 2
* linux32: 2
* windowsxp: 1
* osx-10-6: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-01-22&endday=2016-01-22&tree=all

Comment 25

2 years ago
104 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 46
* fx-team: 26
* mozilla-central: 11
* try: 7
* mozilla-aurora: 7
* b2g-inbound: 6
* mozilla-release: 1

Platform breakdown:
* linux64: 45
* linux32: 22
* windows8-64: 20
* osx-10-6: 10
* windows7-32: 3
* windowsxp: 2
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-01-18&endday=2016-01-24&tree=all
See Also: → bug 1186675
This bug also seems to be frequently associated with massive leaks (bug 1186675).

It looks like this is one of the top ten most frequent unfixed failures on Orange Factor.

David, is there somebody who could look into this? Thanks.
Flags: needinfo?(dbolter)
Yura, Eitan what is the best way forward here? Possible fix, or can we stop the bleeding somehow?
Flags: needinfo?(yzenevich)
Flags: needinfo?(eitan)
Flags: needinfo?(dbolter)
(Assignee)

Comment 28

2 years ago
I will try to either fix it by the end of the week, if not I will disable it for the time being.
Assignee: nobody → yzenevich
Flags: needinfo?(yzenevich)
Flags: needinfo?(eitan)
(Assignee)

Comment 29

2 years ago
Created attachment 8712507 [details]
MozReview Request: Bug 1087608 - ensuring multitap gestures do not resolve to explore. Updating gestures to classes.

---
 accessible/jsat/AccessFu.jsm                  | 15 ++++++++---
 accessible/tests/mochitest/jsat/dom_helper.js | 13 +++-------
 accessible/tests/mochitest/jsat/jsatcommon.js | 36 ++++++++++++++++-----------
 3 files changed, 37 insertions(+), 27 deletions(-)

Review commit: https://reviewboard.mozilla.org/r/32565/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/32565/
Attachment #8712507 - Flags: review?(eitan)
(Assignee)

Comment 30

2 years ago
Comment on attachment 8712507 [details]
MozReview Request: Bug 1087608 - ensuring multitap gestures do not resolve to explore. Updating gestures to classes.

Review request updated; see interdiff: https://reviewboard.mozilla.org/r/32565/diff/1-2/
Comment on attachment 8712507 [details]
MozReview Request: Bug 1087608 - ensuring multitap gestures do not resolve to explore. Updating gestures to classes.

https://reviewboard.mozilla.org/r/32565/#review29377

Looks great!
Attachment #8712507 - Flags: review?(eitan)
Comment on attachment 8712507 [details]
MozReview Request: Bug 1087608 - ensuring multitap gestures do not resolve to explore. Updating gestures to classes.

https://reviewboard.mozilla.org/r/32565/#review29411
Attachment #8712507 - Flags: review+
(Assignee)

Comment 33

2 years ago
Comment on attachment 8712507 [details]
MozReview Request: Bug 1087608 - ensuring multitap gestures do not resolve to explore. Updating gestures to classes.

Review request updated; see interdiff: https://reviewboard.mozilla.org/r/32565/diff/2-3/
(Assignee)

Comment 34

2 years ago
https://hg.mozilla.org/integration/mozilla-inbound/rev/a152a1cbdcf0

Comment 35

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/a152a1cbdcf0
Status: REOPENED → RESOLVED
Last Resolved: 2 years ago2 years ago
status-firefox47: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla47

Comment 36

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 12
* try: 3
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 11
* windows8-64: 2
* linux32: 2
* windows7-32: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-01-29&endday=2016-01-29&tree=all
Might have slowed it down a little, not sure, but didn't fix it.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---

Comment 38

2 years ago
79 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 37
* fx-team: 24
* mozilla-central: 8
* try: 4
* b2g-inbound: 4
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 45
* linux32: 16
* windows8-64: 8
* windows7-32: 4
* osx-10-6: 4
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-01-25&endday=2016-01-31&tree=all

Comment 39

2 years ago
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 11
* fx-team: 3
* mozilla-aurora: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 12
* windowsxp: 3
* windows7-32: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-02&endday=2016-02-02&tree=all

Comment 40

2 years ago
21 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 15
* fx-team: 4
* mozilla-beta: 2

Platform breakdown:
* linux64: 17
* windows7-32: 2
* windows8-64: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-03&endday=2016-02-03&tree=all

Comment 41

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 12
* fx-team: 3
* try: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 11
* linux32: 4
* windows7-32: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-04&endday=2016-02-04&tree=all

Comment 42

2 years ago
103 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 59
* fx-team: 27
* mozilla-central: 6
* try: 3
* mozilla-beta: 3
* mozilla-aurora: 3
* mozilla-release: 1
* b2g-inbound: 1

Platform breakdown:
* linux64: 72
* linux32: 17
* windows7-32: 6
* windowsxp: 3
* windows8-64: 2
* osx-10-6: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-01&endday=2016-02-07&tree=all

Comment 43

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 4
* mozilla-beta: 3
* mozilla-central: 1

Platform breakdown:
* linux64: 7
* linux32: 6
* windows8-64: 2
* osx-10-6: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-10&endday=2016-02-10&tree=all

Comment 44

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-central: 5
* mozilla-inbound: 3
* mozilla-beta: 3
* mozilla-aurora: 3
* try: 2
* fx-team: 1

Platform breakdown:
* linux64: 6
* linux32: 4
* windows8-64: 3
* windowsxp: 1
* windows7-32: 1
* osx-10-6: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-11&endday=2016-02-11&tree=all

Comment 45

2 years ago
78 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 35
* fx-team: 12
* mozilla-central: 9
* mozilla-aurora: 9
* mozilla-beta: 8
* try: 5

Platform breakdown:
* linux64: 34
* linux32: 16
* windows8-64: 9
* windows7-32: 8
* osx-10-6: 5
* osx-10-10: 4
* windowsxp: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-08&endday=2016-02-14&tree=all

Comment 46

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 12
* linux32: 4
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-16&endday=2016-02-16&tree=all

Comment 47

2 years ago
19 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 8
* mozilla-beta: 3
* fx-team: 3
* mozilla-central: 2
* mozilla-aurora: 2
* try: 1

Platform breakdown:
* linux64: 9
* linux32: 3
* windowsxp: 2
* windows7-32: 2
* osx-10-6: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-17&endday=2016-02-17&tree=all

Comment 48

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 6
* mozilla-central: 2

Platform breakdown:
* linux64: 8
* linux32: 4
* osx-10-6: 2
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-23&endday=2016-02-23&tree=all

Comment 49

2 years ago
70 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 37
* fx-team: 22
* mozilla-central: 4
* mozilla-aurora: 4
* mozilla-beta: 3

Platform breakdown:
* linux64: 47
* linux32: 11
* windows7-32: 4
* osx-10-6: 3
* windowsxp: 2
* osx-10-10: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-22&endday=2016-02-28&tree=all

Comment 50

2 years ago
62 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 33
* fx-team: 13
* mozilla-esr45: 6
* mozilla-aurora: 4
* try: 3
* mozilla-central: 2
* mozilla-release: 1

Platform breakdown:
* linux64: 35
* linux32: 13
* windows7-32: 5
* osx-10-6: 4
* windows8-64: 2
* osx-10-10: 2
* windowsxp: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-02-29&endday=2016-03-06&tree=all

Comment 51

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 5
* try: 1
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 12
* linux32: 3
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-03-08&endday=2016-03-08&tree=all

Comment 52

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 12
* mozilla-central: 2
* fx-team: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 11
* linux32: 3
* windows8-64: 1
* osx-10-6: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-03-09&endday=2016-03-09&tree=all

Comment 53

2 years ago
68 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 39
* fx-team: 19
* mozilla-central: 4
* try: 3
* mozilla-aurora: 3

Platform breakdown:
* linux64: 48
* linux32: 11
* windows7-32: 3
* osx-10-10: 3
* osx-10-6: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-03-07&endday=2016-03-13&tree=all
Could you look at this some more please? This failure happened almost 70 times last week. Thanks.
Flags: needinfo?(yzenevich)
(Assignee)

Comment 55

2 years ago
Ill take a look shortly .

Comment 56

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 3
* mozilla-aurora: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 13
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-03-18&endday=2016-03-18&tree=all

Comment 57

2 years ago
76 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 38
* fx-team: 15
* mozilla-aurora: 6
* mozilla-beta: 5
* try: 4
* mozilla-central: 4
* mozilla-release: 2
* mozilla-esr45: 2

Platform breakdown:
* linux64: 59
* linux32: 7
* windows7-32: 3
* windowsxp: 2
* windows8-64: 2
* osx-10-6: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-03-14&endday=2016-03-20&tree=all
(Assignee)

Updated

2 years ago
Attachment #8712507 - Attachment is obsolete: true
Flags: needinfo?(yzenevich)
(Assignee)

Comment 58

2 years ago
Comment on attachment 8712507 [details]
MozReview Request: Bug 1087608 - ensuring multitap gestures do not resolve to explore. Updating gestures to classes.

Review request updated; see interdiff: https://reviewboard.mozilla.org/r/32565/diff/3-4/
Attachment #8712507 - Attachment description: MozReview Request: Bug 1087608 - eliminating a pref observer leak and fixing test timeout overflow that cause intermittents. r=eeejay → MozReview Request: Bug 1087608 - ensuring multitap gestures do not resolve to explore. Updating gestures to classes.
Attachment #8712507 - Attachment is obsolete: false
(Assignee)

Updated

2 years ago
Attachment #8712507 - Attachment is obsolete: true
(Assignee)

Comment 59

2 years ago
Created attachment 8733070 [details] [diff] [review]
1087608 patch

Looks like mozreview for reopened bugs is a little confusing. Attaching a file instead. I did the following:
* Updated to using DOM promises instead of Promise.jsm
* Updated to classes
* Updated DoubleTap and TrippleTap to never reject to Explore (I believe that should be correct?)
I would like to try this patch and see how the tests run (the intermittent triple swipe test failure stopped happening on my machine).
Attachment #8733070 - Flags: review?(eitan)
(Assignee)

Comment 60

2 years ago
https://treeherder.mozilla.org/#/jobs?repo=try&revision=051145775a66
Have you actually tested this on Android?

Since this is a stability issue, I would prefer if we first fixed the test or feature before doing a major refactor. I think we should resolve this bug ub the least disruptive way possible. Once we get a reliable test there could be a spinoff bug with the maintenance bits (classes and DOM promises).

Comment 62

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 10
* fx-team: 3
* try: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 11
* linux32: 4
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-03-22&endday=2016-03-22&tree=all
(Assignee)

Comment 63

2 years ago
(In reply to Eitan Isaacson [:eeejay] from comment #61)
> Have you actually tested this on Android?
> 
> Since this is a stability issue, I would prefer if we first fixed the test
> or feature before doing a major refactor. I think we should resolve this bug
> ub the least disruptive way possible. Once we get a reliable test there
> could be a spinoff bug with the maintenance bits (classes and DOM promises).

Sounds good. Ill just make the changes to gesture resolution.
(Assignee)

Comment 64

2 years ago
Created attachment 8734507 [details] [diff] [review]
1087608 patch v2

Removed all the class stuff.
Attachment #8733070 - Attachment is obsolete: true
Attachment #8733070 - Flags: review?(eitan)
Attachment #8734507 - Flags: review?(eitan)

Comment 65

2 years ago
19 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 14
* try: 2
* mozilla-aurora: 2
* fx-team: 1

Platform breakdown:
* linux64: 16
* linux32: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-03-24&endday=2016-03-24&tree=all

Comment 66

2 years ago
64 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 37
* fx-team: 14
* try: 5
* mozilla-aurora: 5
* mozilla-central: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 50
* linux32: 8
* windows8-64: 2
* osx-10-6: 2
* windowsxp: 1
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-03-21&endday=2016-03-27&tree=all
Comment on attachment 8734507 [details] [diff] [review]
1087608 patch v2

Review of attachment 8734507 [details] [diff] [review]:
-----------------------------------------------------------------

Sorry for the delay. This looks good. Got a chance to test it on Android.
Attachment #8734507 - Flags: review?(eitan) → review+
(Assignee)

Comment 68

2 years ago
https://treeherder.mozilla.org/#/jobs?repo=try&revision=f2ce1ac10b62
(Assignee)

Comment 69

2 years ago
https://hg.mozilla.org/integration/mozilla-inbound/rev/3f5ed1912b14

Comment 70

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/3f5ed1912b14
Status: REOPENED → RESOLVED
Last Resolved: 2 years ago2 years ago
status-firefox48: --- → fixed
Resolution: --- → FIXED
Target Milestone: mozilla47 → mozilla48
(Reporter)

Comment 71

2 years ago
Please request Aurora/Beta/esr45 approval on this when you get a chance.
status-firefox46: --- → affected
status-firefox47: fixed → affected
status-firefox-esr45: --- → affected
Flags: needinfo?(yzenevich)

Comment 72

2 years ago
27 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* mozilla-aurora: 6
* try: 4
* mozilla-release: 2
* mozilla-beta: 2
* fx-team: 2
* mozilla-esr45: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 14
* linux32: 5
* windows8-64: 2
* windows7-32: 2
* osx-10-10: 2
* windowsxp: 1
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087608&startday=2016-03-28&endday=2016-04-03&tree=all
(Assignee)

Comment 73

2 years ago
Comment on attachment 8734507 [details] [diff] [review]
1087608 patch v2

[Approval Request Comment]
If this is not a sec:{high,crit} bug, please state case for ESR consideration:
This patch should be fixing an intermittent failures in one of the a11y mochitests.
User impact if declined: The test failures are associated with possible incorrect gesture resolution which can (though unlikely) be seen sometimes when the user performs sequential taps in Fennec with VO.
Fix Landed on Version:
Risk to taking this patch (and alternatives if risky): Low, this patch only changes what double and triple tap gestures can resolve to.
String or UUID changes made by this patch: None

[Describe test coverage new/current, TreeHerder]: Fixes intermittents associated with this test: https://hg.mozilla.org/mozilla-central/rev/3f5ed1912b14 
[Risks and why]: Same as above
Flags: needinfo?(yzenevich)
Attachment #8734507 - Flags: approval-mozilla-esr45?
Attachment #8734507 - Flags: approval-mozilla-beta?
Attachment #8734507 - Flags: approval-mozilla-aurora?
Comment on attachment 8734507 [details] [diff] [review]
1087608 patch v2

Fixes an intermittent failure, Aurora47+, ESR45+
Attachment #8734507 - Flags: approval-mozilla-esr45?
Attachment #8734507 - Flags: approval-mozilla-esr45+
Attachment #8734507 - Flags: approval-mozilla-aurora?
Attachment #8734507 - Flags: approval-mozilla-aurora+

Updated

2 years ago
tracking-firefox-esr45: --- → 46+

Comment 75

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/5e58ca6ae703
status-firefox47: affected → fixed
Comment on attachment 8734507 [details] [diff] [review]
1087608 patch v2

Fixes an annoying intermittent test failure, tested ok on m-c. 
Please uplift to beta
Attachment #8734507 - Flags: approval-mozilla-beta? → approval-mozilla-beta+

Comment 77

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/211fa9fe0460
status-firefox46: affected → fixed
(Reporter)

Comment 78

2 years ago
https://hg.mozilla.org/releases/mozilla-esr45/rev/a1941253aa15a6324bd66beb6e6926356c99c1fd
status-firefox-esr45: affected → fixed
You need to log in before you can comment on or make changes to this bug.